# Uses of Class
org.snpeff.fileIterator.RegulationFileIterator

Packages that use RegulationFileIterator
Package
Description
org.snpeff
org.snpeff.fileIterator

## Uses of RegulationFileIterator in org.snpeff

Methods in org.snpeff with parameters of type RegulationFileIterator
Modifier and Type
Method
Description
`void`
RegulationFileConsensus.`readFile(RegulationFileIterator regulationFileIterator)`
Read a file and add all regulation intervals
`void`
RegulationFileSplitBytType.`splitFile(RegulationFileIterator regulationFileIterator, String path)`
Read a regulation file and split into one file for each "regulation type"

## Uses of RegulationFileIterator in org.snpeff.fileIterator

Subclasses of RegulationFileIterator in org.snpeff.fileIterator
Modifier and Type
Class
Description
`class`
`RegulationBedFileIterator`
Opens a GFF3 file and create regulatory elements.
`class`
`RegulationGffFileIterator`
Opens a GFF3 file and create regulatory elements.